h1 {
    font-size: 2em;
    text-align: center;
}

h2 {
    padding-bottom: 5px;
    margin-bottom: 15px;
}
table {
    width: 30rem;
    border: 2px solid rgb(140 140 140);
}

th,
td {
    border: 1px solid rgb(160 160 160);
}
img {
    max-width: 100%;
}
#splash {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: black;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    transition: opacity 1s ease;
    opacity: 1;
}

#splash.hidden {
    opacity: 0;
    pointer-events: none;
}
.logo {
    color: white;
    font-size: 64px;
    font-family: "Noto Sans JP", sans-serif;
    font-optical-sizing: auto;
    font-weight: 900;
    font-style: normal;
    margin-bottom: 20px;
}

.loader {
    width: 100px;
    height: 6px;
    background: #444;
    border-radius: 3px;
    overflow: hidden;
}

.loader-bar {
    width: 0;
    height: 100%;
    background: white;
    animation: loading 3s ease-in-out forwards;
}

@keyframes loading {
    from {
        width: 0;
    }
    to {
        width: 100%;
    }
}

#main {
    display: none;
    padding: 2rem;
}
